unordered_map.hpp File Reference
`#include "./encoder.hpp"`
`#include "./decoder.hpp"`
`#include <unordered_map>`
Include dependency graph for unordered_map.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| proton
| The main Proton namespace.
| proton::codec
| Unsettled API - AMQP data encoding and decoding.

## Functions

template<class K , class T , class C , class A >
encoder & | operator<< (encoder &e, const std::unordered_map< K, T, C, A > &m)
| Encode std::unordered_map<K, T> as amqp::UNORDERED_MAP.
template<class K , class T , class C , class A >
decoder & | operator>> (decoder &d, std::unordered_map< K, T, C, A > &m)
| Decode to std::unordered_map<K, T> from amqp::UNORDERED_MAP.

## Detailed Description

Unsettled API - Enable conversions between `proton::value` and `std::unordered_map`.